Index: /trunk/doc/Flair/search/all_d.js
===================================================================
--- /trunk/doc/Flair/search/all_d.js	(revision 97)
+++ /trunk/doc/Flair/search/all_d.js	(revision 98)
@@ -15,5 +15,5 @@
   ['namespacename',['namespaceName',['http://qt-project.org/doc/qt-4.8/qhelpenginecore.html#namespaceName',0,'QHelpEngineCore']]],
   ['namespaceprocessing',['namespaceProcessing',['http://qt-project.org/doc/qt-4.8/qxmlstreamreader.html#namespaceProcessing-prop',0,'QXmlStreamReader::namespaceProcessing()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamreader.html#namespaceProcessing-prop',0,'QXmlStreamReader::namespaceProcessing() const']]],
-  ['namespaceuri',['namespaceUri',['http://qt-project.org/doc/qt-4.8/qxmlname.html#namespaceUri',0,'QXmlName::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qwebelement.html#namespaceUri',0,'QWebElement::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattribute.html#namespaceUri',0,'QXmlStreamAttribute::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamnamespacedeclaration.html#namespaceUri',0,'QXmlStreamNamespaceDeclaration::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamreader.html#namespaceUri',0,'QXmlStreamReader::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#namespaceURI',0,'QDomNode::namespaceURI()']]],
+  ['namespaceuri',['namespaceURI',['http://qt-project.org/doc/qt-4.8/qdomnode.html#namespaceURI',0,'QDomNode::namespaceURI()'],['http://qt-project.org/doc/qt-4.8/qxmlname.html#namespaceUri',0,'QXmlName::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qwebelement.html#namespaceUri',0,'QWebElement::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattribute.html#namespaceUri',0,'QXmlStreamAttribute::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamnamespacedeclaration.html#namespaceUri',0,'QXmlStreamNamespaceDeclaration::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamreader.html#namespaceUri',0,'QXmlStreamReader::namespaceUri()']]],
   ['nametotype',['nameToType',['http://qt-project.org/doc/qt-4.8/qvariant.html#nameToType',0,'QVariant']]],
   ['nativearguments',['nativeArguments',['http://qt-project.org/doc/qt-4.8/qprocess.html#nativeArguments',0,'QProcess']]],
@@ -100,5 +100,5 @@
   ['normalexit',['normalExit',['http://qt-project.org/doc/qt-4.8/q3process.html#normalExit',0,'Q3Process']]],
   ['normalgeometry',['normalGeometry',['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget::normalGeometry()'],['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget::normalGeometry() const']]],
-  ['normalize',['normalize',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()'],['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c',1,'flair::core::Vector3D::Normalize()']]],
+  ['normalize',['Normalize',['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c',1,'flair::core::Vector3D::Normalize()'],['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()']]],
   ['normalized',['normalized',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalized',0,'QVector3D::normalized()'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized',0,'QString::normalized(NormalizationForm mode) const'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized-2',0,'QString::normalized(NormalizationForm mode, QChar::UnicodeVersion version) const'],['http://qt-project.org/doc/qt-4.8/qrect.html#normalized',0,'QRect::normalized()'],['http://qt-project.org/doc/qt-4.8/qrectf.html#normalized',0,'QRectF::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalized',0,'QVector2D::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalized',0,'QVector4D::normalized()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalized',0,'QQuaternion::normalized()']]],
   ['normalizedpos',['normalizedPos',['http://qt-project.org/doc/qt-4.8/qtouchevent-touchpoint.html#normalizedPos',0,'QTouchEvent::TouchPoint']]],
Index: /trunk/doc/Flair/search/all_e.js
===================================================================
--- /trunk/doc/Flair/search/all_e.js	(revision 97)
+++ /trunk/doc/Flair/search/all_e.js	(revision 98)
@@ -13,5 +13,5 @@
   ['objectregisteredat',['objectRegisteredAt',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#objectRegisteredAt',0,'QDBusConnection']]],
   ['objectremoved',['objectRemoved',['http://qt-project.org/doc/qt-4.8/qdesignerformwindowinterface.html#objectRemoved',0,'QDesignerFormWindowInterface']]],
-  ['objecttype',['ObjectType',['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()']]],
+  ['objecttype',['objectType',['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()'],['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()']]],
   ['officonset',['offIconSet',['http://qt-project.org/doc/qt-4.8/qtoolbutton-qt3.html#offIconSet',0,'QToolButton']]],
   ['offlinestoragedefaultquota',['offlineStorageDefaultQuota',['http://qt-project.org/doc/qt-4.8/qwebsettings.html#offlineStorageDefaultQuota',0,'QWebSettings']]],
Index: /trunk/doc/Flair/search/all_f.js
===================================================================
--- /trunk/doc/Flair/search/all_f.js	(revision 97)
+++ /trunk/doc/Flair/search/all_f.js	(revision 98)
@@ -123,5 +123,5 @@
   ['physicalwidth',['physicalWidth',['http://qt-project.org/doc/qt-4.8/qscreen.html#physicalWidth',0,'QScreen']]],
   ['picture',['Picture',['../classflair_1_1gui_1_1_picture.html',1,'flair::gui']]],
-  ['picture',['Picture',['../classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124',1,'flair::gui::Picture::Picture()'],['http://qt-project.org/doc/qt-4.8/q3iconviewitem.html#picture',0,'Q3IconViewItem::picture()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#picture',0,'QPictureIO::picture()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#picture',0,'QLabel::picture()']]],
+  ['picture',['picture',['http://qt-project.org/doc/qt-4.8/q3iconviewitem.html#picture',0,'Q3IconViewItem::picture()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#picture',0,'QPictureIO::picture()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#picture',0,'QLabel::picture()'],['../classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124',1,'flair::gui::Picture::Picture()']]],
   ['picture_2eh',['Picture.h',['../_picture_8h.html',1,'']]],
   ['pictureformat',['pictureFormat',['http://qt-project.org/doc/qt-4.8/qpicture-obsolete.html#pictureFormat',0,'QPicture::pictureFormat()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#pictureFormat',0,'QPictureIO::pictureFormat(const QString &amp;fileName)'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#pictureFormat-2',0,'QPictureIO::pictureFormat(QIODevice *d)']]],
Index: /trunk/doc/Flair/search/classes_12.js
===================================================================
--- /trunk/doc/Flair/search/classes_12.js	(revision 97)
+++ /trunk/doc/Flair/search/classes_12.js	(revision 98)
@@ -13,5 +13,4 @@
   ['signedintegertype',['SignedIntegerType',['../classflair_1_1core_1_1_signed_integer_type.html',1,'flair::core']]],
   ['simu_5fstate',['simu_state',['../structflair_1_1simulator_1_1_model_1_1simu__state.html',1,'flair::simulator::Model']]],
-  ['simuahrs',['SimuAhrs',['../classflair_1_1filter_1_1_simu_ahrs.html',1,'flair::filter']]],
   ['simubldc',['SimuBldc',['../classflair_1_1actuator_1_1_simu_bldc.html',1,'flair::actuator']]],
   ['simucamera',['SimuCamera',['../classflair_1_1sensor_1_1_simu_camera.html',1,'flair::sensor']]],
@@ -21,4 +20,12 @@
   ['simulaser',['SimuLaser',['../classflair_1_1sensor_1_1_simu_laser.html',1,'flair::sensor']]],
   ['simulasergl',['SimuLaserGL',['../classflair_1_1sensor_1_1_simu_laser_g_l.html',1,'flair::sensor']]],
+  ['simulatedahrs',['SimulatedAhrs',['../classflair_1_1filter_1_1_simulated_ahrs.html',1,'flair::filter']]],
+  ['simulatedbldc',['SimulatedBldc',['../classflair_1_1actuator_1_1_simulated_bldc.html',1,'flair::actuator']]],
+  ['simulatedcamera',['SimulatedCamera',['../classflair_1_1sensor_1_1_simulated_camera.html',1,'flair::sensor']]],
+  ['simulatedgps',['SimulatedGps',['../classflair_1_1sensor_1_1_simulated_gps.html',1,'flair::sensor']]],
+  ['simulatedimu',['SimulatedImu',['../classflair_1_1sensor_1_1_simulated_imu.html',1,'flair::sensor']]],
+  ['simulatedlaser',['SimulatedLaser',['../classflair_1_1sensor_1_1_simulated_laser.html',1,'flair::sensor']]],
+  ['simulatedpressuresensor',['SimulatedPressureSensor',['../classflair_1_1sensor_1_1_simulated_pressure_sensor.html',1,'flair::sensor']]],
+  ['simulatedus',['SimulatedUs',['../classflair_1_1sensor_1_1_simulated_us.html',1,'flair::sensor']]],
   ['simulator',['Simulator',['../classflair_1_1simulator_1_1_simulator.html',1,'flair::simulator']]],
   ['simupressuresensor',['SimuPressureSensor',['../classflair_1_1sensor_1_1_simu_pressure_sensor.html',1,'flair::sensor']]],
Index: /trunk/doc/Flair/search/files_11.js
===================================================================
--- /trunk/doc/Flair/search/files_11.js	(revision 97)
+++ /trunk/doc/Flair/search/files_11.js	(revision 98)
@@ -5,6 +5,18 @@
   ['serialport_2eh',['SerialPort.h',['../_serial_port_8h.html',1,'']]],
   ['sharedmem_2eh',['SharedMem.h',['../_shared_mem_8h.html',1,'']]],
-  ['simuahrs_2eh',['SimuAhrs.h',['../_simu_ahrs_8h.html',1,'']]],
+  ['simubldc_2eh',['SimuBldc.h',['../_simu_bldc_8h.html',1,'']]],
+  ['simucamera_2eh',['SimuCamera.h',['../_simu_camera_8h.html',1,'']]],
   ['simucameragl_2eh',['SimuCameraGL.h',['../_simu_camera_g_l_8h.html',1,'']]],
+  ['simugps_2eh',['SimuGps.h',['../_simu_gps_8h.html',1,'']]],
+  ['simuimu_2eh',['SimuImu.h',['../_simu_imu_8h.html',1,'']]],
+  ['simulatedahrs_2eh',['SimulatedAhrs.h',['../_simulated_ahrs_8h.html',1,'']]],
+  ['simulatedbldc_2eh',['SimulatedBldc.h',['../_simulated_bldc_8h.html',1,'']]],
+  ['simulatedcamera_2eh',['SimulatedCamera.h',['../_simulated_camera_8h.html',1,'']]],
+  ['simulatedgps_2eh',['SimulatedGps.h',['../_simulated_gps_8h.html',1,'']]],
+  ['simulatedimu_2eh',['SimulatedImu.h',['../_simulated_imu_8h.html',1,'']]],
+  ['simulatedpressuresensor_2eh',['SimulatedPressureSensor.h',['../_simulated_pressure_sensor_8h.html',1,'']]],
+  ['simulatedus_2eh',['SimulatedUs.h',['../_simulated_us_8h.html',1,'']]],
+  ['simupressuresensor_2eh',['SimuPressureSensor.h',['../_simu_pressure_sensor_8h.html',1,'']]],
+  ['simuus_2eh',['SimuUs.h',['../_simu_us_8h.html',1,'']]],
   ['simuusgl_2eh',['SimuUsGL.h',['../_simu_us_g_l_8h.html',1,'']]],
   ['simux4_2eh',['SimuX4.h',['../_simu_x4_8h.html',1,'']]],
Index: /trunk/doc/Flair/search/functions_1a.js
===================================================================
--- /trunk/doc/Flair/search/functions_1a.js	(revision 97)
+++ /trunk/doc/Flair/search/functions_1a.js	(revision 98)
@@ -769,12 +769,19 @@
   ['_7esharedmem',['~SharedMem',['../classflair_1_1core_1_1_shared_mem.html#af3f51c01e679a8dd1f6f7c64cee55ed7',1,'flair::core::SharedMem']]],
   ['_7esignalevent',['~SignalEvent',['http://qt-project.org/doc/qt-4.8/qstatemachine-signalevent.html#dtor.SignalEvent',0,'QStateMachine::SignalEvent']]],
-  ['_7esimuahrs',['~SimuAhrs',['../classflair_1_1filter_1_1_simu_ahrs.html#abc6e5fb30794862c01828b73166a405d',1,'flair::filter::SimuAhrs']]],
-  ['_7esimubldc',['~SimuBldc',['../classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8',1,'flair::actuator::SimuBldc::~SimuBldc()'],['../classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8',1,'flair::actuator::SimuBldc::~SimuBldc()']]],
-  ['_7esimucamera',['~SimuCamera',['../classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0',1,'flair::sensor::SimuCamera::~SimuCamera()'],['../classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0',1,'flair::sensor::SimuCamera::~SimuCamera()']]],
-  ['_7esimugps',['~SimuGps',['../classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3',1,'flair::sensor::SimuGps::~SimuGps()'],['../classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3',1,'flair::sensor::SimuGps::~SimuGps()']]],
-  ['_7esimuimu',['~SimuImu',['../classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf',1,'flair::sensor::SimuImu::~SimuImu()'],['../classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf',1,'flair::sensor::SimuImu::~SimuImu()']]],
-  ['_7esimulaser',['~SimuLaser',['../classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5',1,'flair::sensor::SimuLaser::~SimuLaser()'],['../classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5',1,'flair::sensor::SimuLaser::~SimuLaser()']]],
-  ['_7esimupressuresensor',['~SimuPressureSensor',['../classflair_1_1sensor_1_1_simu_pressure_sensor.html#a48115dfbc964e767360e3ba0e74a8e60',1,'flair::sensor::SimuPressureSensor::~SimuPressureSensor()'],['../classflair_1_1sensor_1_1_simu_pressure_sensor.html#a48115dfbc964e767360e3ba0e74a8e60',1,'flair::sensor::SimuPressureSensor::~SimuPressureSensor()']]],
-  ['_7esimuus',['~SimuUs',['../classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4',1,'flair::sensor::SimuUs::~SimuUs()'],['../classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4',1,'flair::sensor::SimuUs::~SimuUs()']]],
+  ['_7esimubldc',['~SimuBldc',['../classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8',1,'flair::actuator::SimuBldc']]],
+  ['_7esimucamera',['~SimuCamera',['../classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0',1,'flair::sensor::SimuCamera']]],
+  ['_7esimugps',['~SimuGps',['../classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3',1,'flair::sensor::SimuGps']]],
+  ['_7esimuimu',['~SimuImu',['../classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf',1,'flair::sensor::SimuImu']]],
+  ['_7esimulaser',['~SimuLaser',['../classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5',1,'flair::sensor::SimuLaser']]],
+  ['_7esimulatedahrs',['~SimulatedAhrs',['../classflair_1_1filter_1_1_simulated_ahrs.html#a8d8866e4c5b9dd08c1f84cb3a94358e6',1,'flair::filter::SimulatedAhrs']]],
+  ['_7esimulatedbldc',['~SimulatedBldc',['../classflair_1_1actuator_1_1_simulated_bldc.html#ac92ef4167fcc44805e821a7236b4b9ed',1,'flair::actuator::SimulatedBldc']]],
+  ['_7esimulatedcamera',['~SimulatedCamera',['../classflair_1_1sensor_1_1_simulated_camera.html#a5c61c74313f8242e8e14f1f48d9e6f66',1,'flair::sensor::SimulatedCamera']]],
+  ['_7esimulatedgps',['~SimulatedGps',['../classflair_1_1sensor_1_1_simulated_gps.html#ad3782b267d71611d56414bdf6b4e8d92',1,'flair::sensor::SimulatedGps']]],
+  ['_7esimulatedimu',['~SimulatedImu',['../classflair_1_1sensor_1_1_simulated_imu.html#a4145d0246cc6646e0c926ff86393d274',1,'flair::sensor::SimulatedImu']]],
+  ['_7esimulatedlaser',['~SimulatedLaser',['../classflair_1_1sensor_1_1_simulated_laser.html#acaf6acaafeb7fd630dffeb4c9a7f9e5c',1,'flair::sensor::SimulatedLaser']]],
+  ['_7esimulatedpressuresensor',['~SimulatedPressureSensor',['../classflair_1_1sensor_1_1_simulated_pressure_sensor.html#a9163b29437322719dc01d614e3246fdb',1,'flair::sensor::SimulatedPressureSensor']]],
+  ['_7esimulatedus',['~SimulatedUs',['../classflair_1_1sensor_1_1_simulated_us.html#a237889e8f626e5cea54237fa16253b12',1,'flair::sensor::SimulatedUs']]],
+  ['_7esimupressuresensor',['~SimuPressureSensor',['../classflair_1_1sensor_1_1_simu_pressure_sensor.html#a48115dfbc964e767360e3ba0e74a8e60',1,'flair::sensor::SimuPressureSensor']]],
+  ['_7esimuus',['~SimuUs',['../classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4',1,'flair::sensor::SimuUs']]],
   ['_7espinbox',['~SpinBox',['../classflair_1_1gui_1_1_spin_box.html#a64182fc99a1d96d8f86679a568c50f9b',1,'flair::gui::SpinBox']]],
   ['_7esrf08',['~Srf08',['../classflair_1_1sensor_1_1_srf08.html#a98bf852157fdae881576d0b7f25da6b0',1,'flair::sensor::Srf08']]],
Index: /trunk/doc/Flair/search/functions_7.js
===================================================================
--- /trunk/doc/Flair/search/functions_7.js	(revision 97)
+++ /trunk/doc/Flair/search/functions_7.js	(revision 98)
@@ -32,5 +32,5 @@
   ['hascontentlength',['hasContentLength',['http://qt-project.org/doc/qt-4.8/q3httpheader.html#hasContentLength',0,'Q3HttpHeader::hasContentLength()'],['http://qt-project.org/doc/qt-4.8/qhttpheader.html#hasContentLength',0,'QHttpHeader::hasContentLength()']]],
   ['hascontenttype',['hasContentType',['http://qt-project.org/doc/qt-4.8/q3httpheader.html#hasContentType',0,'Q3HttpHeader::hasContentType()'],['http://qt-project.org/doc/qt-4.8/qhttpheader.html#hasContentType',0,'QHttpHeader::hasContentType()']]],
-  ['hascurrentmeasurement',['HasCurrentMeasurement',['../classflair_1_1actuator_1_1_afro_bldc.html#a7aa850b8506c65ec465e0b5872cc6dfd',1,'flair::actuator::AfroBldc::HasCurrentMeasurement()'],['../classflair_1_1actuator_1_1_bl_ctrl_v2.html#af7067266decd1bb523469fbc15c43cbe',1,'flair::actuator::BlCtrlV2::HasCurrentMeasurement()'],['../classflair_1_1actuator_1_1_bldc.html#aab69754edb7248757135740a1ced9169',1,'flair::actuator::Bldc::HasCurrentMeasurement()'],['../classflair_1_1actuator_1_1_simu_bldc.html#a3a97075384649f5a11fd70bf7749fbe1',1,'flair::actuator::SimuBldc::HasCurrentMeasurement()'],['../classflair_1_1actuator_1_1_x_bldc.html#ab02c1cd6f84f8b4089012afa27b37853',1,'flair::actuator::XBldc::HasCurrentMeasurement()']]],
+  ['hascurrentmeasurement',['HasCurrentMeasurement',['../classflair_1_1actuator_1_1_afro_bldc.html#a7aa850b8506c65ec465e0b5872cc6dfd',1,'flair::actuator::AfroBldc::HasCurrentMeasurement()'],['../classflair_1_1actuator_1_1_bl_ctrl_v2.html#af7067266decd1bb523469fbc15c43cbe',1,'flair::actuator::BlCtrlV2::HasCurrentMeasurement()'],['../classflair_1_1actuator_1_1_bldc.html#aab69754edb7248757135740a1ced9169',1,'flair::actuator::Bldc::HasCurrentMeasurement()'],['../classflair_1_1actuator_1_1_simulated_bldc.html#aef7767956205e118e0e61013a4782f0a',1,'flair::actuator::SimulatedBldc::HasCurrentMeasurement()'],['../classflair_1_1actuator_1_1_x_bldc.html#ab02c1cd6f84f8b4089012afa27b37853',1,'flair::actuator::XBldc::HasCurrentMeasurement()']]],
   ['hascursor',['hasCursor',['http://qt-project.org/doc/qt-4.8/qgraphicsitem.html#hasCursor',0,'QGraphicsItem']]],
   ['hasdefaultbutton',['hasDefaultButton',['http://qt-project.org/doc/qt-4.8/q3tabdialog.html#hasDefaultButton',0,'Q3TabDialog']]],
@@ -93,5 +93,5 @@
   ['hasselectedtext',['hasSelectedText',['http://qt-project.org/doc/qt-4.8/qtextedit-qt3.html#hasSelectedText',0,'QTextEdit::hasSelectedText()'],['http://qt-project.org/doc/qt-4.8/q3textedit.html#hasSelectedText-prop',0,'Q3TextEdit::hasSelectedText()'],['http://qt-project.org/doc/qt-4.8/qlineedit.html#hasSelectedText-prop',0,'QLineEdit::hasSelectedText()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#hasSelectedText-prop',0,'QLabel::hasSelectedText()']]],
   ['hasselection',['hasSelection',['http://qt-project.org/doc/qt-4.8/qwebpage.html#hasSelection-prop',0,'QWebPage::hasSelection()'],['http://qt-project.org/doc/qt-4.8/qdesignerformwindowcursorinterface.html#hasSelection',0,'QDesignerFormWindowCursorInterface::hasSelection()'],['http://qt-project.org/doc/qt-4.8/qitemselectionmodel.html#hasSelection',0,'QItemSelectionModel::hasSelection()'],['http://qt-project.org/doc/qt-4.8/qwebview.html#hasSelection-prop',0,'QWebView::hasSelection()'],['http://qt-project.org/doc/qt-4.8/qtextcursor.html#hasSelection',0,'QTextCursor::hasSelection()']]],
-  ['hasspeedmeasurement',['HasSpeedMeasurement',['../classflair_1_1actuator_1_1_afro_bldc.html#ae22a92ad5fa166179218934808a286c7',1,'flair::actuator::AfroBldc::HasSpeedMeasurement()'],['../classflair_1_1actuator_1_1_bl_ctrl_v2.html#a0600320a8939d1faffe2936f7b445c6e',1,'flair::actuator::BlCtrlV2::HasSpeedMeasurement()'],['../classflair_1_1actuator_1_1_bldc.html#a37cf2c11de84720a8549f184d3fd3c1a',1,'flair::actuator::Bldc::HasSpeedMeasurement()'],['../classflair_1_1actuator_1_1_simu_bldc.html#a6d604089c8494c27f8382359327e7fb6',1,'flair::actuator::SimuBldc::HasSpeedMeasurement()'],['../classflair_1_1actuator_1_1_x_bldc.html#a3f9c8671568a5106a9a03b9043cbb7a9',1,'flair::actuator::XBldc::HasSpeedMeasurement()']]],
+  ['hasspeedmeasurement',['HasSpeedMeasurement',['../classflair_1_1actuator_1_1_afro_bldc.html#ae22a92ad5fa166179218934808a286c7',1,'flair::actuator::AfroBldc::HasSpeedMeasurement()'],['../classflair_1_1actuator_1_1_bl_ctrl_v2.html#a0600320a8939d1faffe2936f7b445c6e',1,'flair::actuator::BlCtrlV2::HasSpeedMeasurement()'],['../classflair_1_1actuator_1_1_bldc.html#a37cf2c11de84720a8549f184d3fd3c1a',1,'flair::actuator::Bldc::HasSpeedMeasurement()'],['../classflair_1_1actuator_1_1_simulated_bldc.html#a79dcf8fd325921f16b589c8edd4fbcaf',1,'flair::actuator::SimulatedBldc::HasSpeedMeasurement()'],['../classflair_1_1actuator_1_1_x_bldc.html#a3f9c8671568a5106a9a03b9043cbb7a9',1,'flair::actuator::XBldc::HasSpeedMeasurement()']]],
   ['hasstaticbackground',['hasStaticBackground',['http://qt-project.org/doc/qt-4.8/q3scrollview.html#hasStaticBackground',0,'Q3ScrollView']]],
   ['hasstockevents',['hasStockEvents',['http://qt-project.org/doc/qt-4.8/qaxfactory.html#hasStockEvents',0,'QAxFactory']]],
Index: /trunk/doc/Flair/search/functions_b.js
===================================================================
--- /trunk/doc/Flair/search/functions_b.js	(revision 97)
+++ /trunk/doc/Flair/search/functions_b.js	(revision 98)
@@ -105,5 +105,5 @@
   ['linesofparagraph',['linesOfParagraph',['http://qt-project.org/doc/qt-4.8/q3textedit.html#linesOfParagraph',0,'Q3TextEdit']]],
   ['linespacing',['lineSpacing',['http://qt-project.org/doc/qt-4.8/q3stylesheetitem.html#lineSpacing',0,'Q3StyleSheetItem::lineSpacing()'],['http://qt-project.org/doc/qt-4.8/qfontmetrics.html#lineSpacing',0,'QFontMetrics::lineSpacing()'],['http://qt-project.org/doc/qt-4.8/qfontmetricsf.html#lineSpacing',0,'QFontMetricsF::lineSpacing()']]],
-  ['linestep',['linestep',['http://qt-project.org/doc/qt-4.8/qdirectpainter.html#linestep',0,'QDirectPainter::linestep()'],['http://qt-project.org/doc/qt-4.8/qscreen.html#linestep',0,'QScreen::linestep()'],['http://qt-project.org/doc/qt-4.8/q3rangecontrol.html#lineStep',0,'Q3RangeControl::lineStep()'],['http://qt-project.org/doc/qt-4.8/qabstractslider-qt3.html#lineStep',0,'QAbstractSlider::lineStep()']]],
+  ['linestep',['lineStep',['http://qt-project.org/doc/qt-4.8/q3rangecontrol.html#lineStep',0,'Q3RangeControl::lineStep()'],['http://qt-project.org/doc/qt-4.8/qabstractslider-qt3.html#lineStep',0,'QAbstractSlider::lineStep()'],['http://qt-project.org/doc/qt-4.8/qdirectpainter.html#linestep',0,'QDirectPainter::linestep()'],['http://qt-project.org/doc/qt-4.8/qscreen.html#linestep',0,'QScreen::linestep()']]],
   ['lineto',['lineTo',['http://qt-project.org/doc/qt-4.8/qpainterpath.html#lineTo',0,'QPainterPath::lineTo(const QPointF &amp;endPoint)'],['http://qt-project.org/doc/qt-4.8/qpainterpath.html#lineTo-2',0,'QPainterPath::lineTo(qreal x, qreal y)']]],
   ['lineup',['lineUp',['http://qt-project.org/doc/qt-4.8/q3dockarea.html#lineUp',0,'Q3DockArea']]],
@@ -133,5 +133,5 @@
   ['listchildren',['listChildren',['http://qt-project.org/doc/qt-4.8/q3urloperator.html#listChildren',0,'Q3UrlOperator']]],
   ['listelementtype',['listElementType',['http://qt-project.org/doc/qt-4.8/qdeclarativelistreference.html#listElementType',0,'QDeclarativeListReference']]],
-  ['listen',['listen',['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()'],['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()']]],
+  ['listen',['Listen',['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()'],['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()']]],
   ['listinfo',['listInfo',['http://qt-project.org/doc/qt-4.8/q3ftp.html#listInfo',0,'Q3Ftp::listInfo()'],['http://qt-project.org/doc/qt-4.8/qftp.html#listInfo',0,'QFtp::listInfo()']]],
   ['liststyle',['listStyle',['http://qt-project.org/doc/qt-4.8/q3stylesheetitem.html#listStyle',0,'Q3StyleSheetItem']]],
Index: /trunk/doc/Flair/search/functions_d.js
===================================================================
--- /trunk/doc/Flair/search/functions_d.js	(revision 97)
+++ /trunk/doc/Flair/search/functions_d.js	(revision 98)
@@ -14,5 +14,5 @@
   ['namespacename',['namespaceName',['http://qt-project.org/doc/qt-4.8/qhelpenginecore.html#namespaceName',0,'QHelpEngineCore']]],
   ['namespaceprocessing',['namespaceProcessing',['http://qt-project.org/doc/qt-4.8/qxmlstreamreader.html#namespaceProcessing-prop',0,'QXmlStreamReader']]],
-  ['namespaceuri',['namespaceUri',['http://qt-project.org/doc/qt-4.8/qxmlname.html#namespaceUri',0,'QXmlName::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qwebelement.html#namespaceUri',0,'QWebElement::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattribute.html#namespaceUri',0,'QXmlStreamAttribute::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamnamespacedeclaration.html#namespaceUri',0,'QXmlStreamNamespaceDeclaration::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamreader.html#namespaceUri',0,'QXmlStreamReader::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#namespaceURI',0,'QDomNode::namespaceURI()']]],
+  ['namespaceuri',['namespaceURI',['http://qt-project.org/doc/qt-4.8/qdomnode.html#namespaceURI',0,'QDomNode::namespaceURI()'],['http://qt-project.org/doc/qt-4.8/qxmlname.html#namespaceUri',0,'QXmlName::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qwebelement.html#namespaceUri',0,'QWebElement::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattribute.html#namespaceUri',0,'QXmlStreamAttribute::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamnamespacedeclaration.html#namespaceUri',0,'QXmlStreamNamespaceDeclaration::namespaceUri()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamreader.html#namespaceUri',0,'QXmlStreamReader::namespaceUri()']]],
   ['nametotype',['nameToType',['http://qt-project.org/doc/qt-4.8/qvariant.html#nameToType',0,'QVariant']]],
   ['nativearguments',['nativeArguments',['http://qt-project.org/doc/qt-4.8/qprocess.html#nativeArguments',0,'QProcess']]],
@@ -89,5 +89,5 @@
   ['normalexit',['normalExit',['http://qt-project.org/doc/qt-4.8/q3process.html#normalExit',0,'Q3Process']]],
   ['normalgeometry',['normalGeometry',['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget']]],
-  ['normalize',['normalize',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()'],['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c',1,'flair::core::Vector3D::Normalize()']]],
+  ['normalize',['Normalize',['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c',1,'flair::core::Vector3D::Normalize()'],['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()']]],
   ['normalized',['normalized',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalized',0,'QVector3D::normalized()'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized',0,'QString::normalized(NormalizationForm mode) const'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized-2',0,'QString::normalized(NormalizationForm mode, QChar::UnicodeVersion version) const'],['http://qt-project.org/doc/qt-4.8/qrect.html#normalized',0,'QRect::normalized()'],['http://qt-project.org/doc/qt-4.8/qrectf.html#normalized',0,'QRectF::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalized',0,'QVector2D::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalized',0,'QVector4D::normalized()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalized',0,'QQuaternion::normalized()']]],
   ['normalizedpos',['normalizedPos',['http://qt-project.org/doc/qt-4.8/qtouchevent-touchpoint.html#normalizedPos',0,'QTouchEvent::TouchPoint']]],
